score<-function(){
#postscript("file.ps")
date<-read.table("agents.experiment",header=TRUE )
tact<-date$Tact
agent<-date$Agent
type<-date$Type
score<-date$Score
#goods<-date$Goods

nr_steps<-length(levels(factor(tact))) #numarul de tacti
g<-factor(agent)
agents_name<-levels(g)  #contine agentii din mediu
nr_agents<-length(agents_name) #numarul de agenti
scores<-split(score,g)

#attach(scores) #pentru a nu mai apela cu $
plot(scores[[1]], xlim=c(0,nr_steps), ylim=c(min(score),max(score)),type="l",col="green",
                        xlab="Tact",
                        ylab="Score",
                        main="Comparing Agents Performance")
color<-6
y<-70
for (agent in seq(agents_name))
	{lines(scores[[agent]],col=color)
    
legend(0,y,agents_name[agent],col=6,fill=color,bty="n", ,x.intersp=.5,y.intersp=.3,cex=0.5)
       color<-color + 3
       y<-y+5
     }
#Sys.sleep(2)     
#
dev.off()
}