;(defparameter *root* (truename "D:\\2\\ultim\\source\\"))
(defparameter *root* (truename "/home/adrian/!lispcode/ultim/source/"))


(load (merge-pathnames *root* "load_all.lisp"))


#(in-package "TK")

(tk::tkconnect)

(tk::frame '.frame :height 500 :width 600)
(tk::pack '.frame )

(tk::menu '.frame.menuExit)
(.frame.menuExit :label "Exit")
(tk::pack '.frame.menuExit)

(tk::button '.frame.add :text "Add Agents" :command '(system "emacs init_experiment.lisp &"))
(tk::pack '.frame.add)

(tk::button '.frame.add_agent :text "Add Agent" :command '(tk::mkForm))
(tk::pack '.frame.add_agent)


(tk::button '.frame.setPenalty :text "Set Penalty" :command '(tk::mkRadio))
(tk::pack '.frame.setPenalty)


(tk::button '.frame.init :text "Init Experiment" :command '(init))
(tk::pack '.frame.init)

(tk::checkbutton '.frame.view :text "View network" :variable '*view_network*) 
(tk::pack '.frame.view)


;(tk::canvas '.frame.canvas :background "#bff") 
;(.frame.canvas :create '.oval 10 10 20 20 :fill "green")
;(tk::pack 'frame.canvas.oval)
;(tk::pack '.frame.canvas)

(tk::button '.frame.step :text "Step" :command '(run-eval-environment-1-step *current_env*))
(tk::pack '.frame.step)

(tk::button '.frame.run :text "Run" :command '(run-environment *current_env* :max-steps *steps*))
(tk::pack '.frame.run)

(tk::button '.frame.graphics :text "Generate Graphics" :command '(system "R --no-save < ../log/run.R &"))
(tk::pack '.frame.graphics)

(tk::button '.frame.viewGraphics :text "View Graphics" :command '(system "acroread ../log/Rplots.pdf &"))
(tk::pack '.frame.viewGraphics)



(tk::button '.frame.exit :text "Exit" :command '(by))
(tk::pack '.frame.exit)



(defun init ()

(defparameter *current_env* 'market1)
;(defparameter agents_list '())

(setf *current_env* (MAKE-environment
        :percept-fn #'market-percept-fn
	:update-fn #'update
	:performance-fn #'performance
	:display-update-fn #'ascii-display-update-fn
        :agents agents_list
	:name "Market")
)

(create_agent_file *current_env*)
(create_env_file *current_env*)

(load "init_experiment.lisp")
(enumerate_goods *current_env*)

;bug dupa editarea fisierului de agenti trebuie sa se apese de 2 ori pentru initializarea experimentului
)
