;;; File: generic_agent.lisp -*- Mode: Lisp; Syntax: Common-Lisp; -*-

;;;;******************
;;; Generic Agent
;;;;******************

(defun general_agent (name &optional (program (program name)) stored_items active_contracts input_goods output_goods valuation_in valuation_out money type)
  (MAKE-agent :name name
	        :program program
	        :legal-actions '(bid breach)
		  :stored_items stored_items
		  :active_contracts active_contracts
		  :input_goods input_goods
		  :output_goods output_goods
              :valuation_in valuation_in
              :valuation_out valuation_out
              :score money
              :type type)
)
  


